ifdown(8)

NAME

ifdown - take interfaces down

SYNOPSIS

ifdown [<options>...] <interfaces>

DESCRIPTION

ifdown is used to deconfigure interfaces according to how they are configured in the configuration database.

OPTIONS

-a, --auto
    Only match interfaces that are marked as auto.

-f, --force
    Force deconfiguration of the interface. This option exists for compatibility with other implementations.

-h, --help
    Display supported options to ifquery.

-i, --interfaces FILE
    Use FILE as the config database.

-n, --no-act
    Show what commands would be run instead of actually running them. Useful for testing configuration changes.

-v, --verbose
    Show what commands are being run as they are executed.

-E, --executor-path PATH
    Look for executors in the given PATH.

-I, --include PATTERN
    Include PATTERN when matching against the config or state database.

-S, --state-file FILE
    Use FILE as the state database.

-T, --timeout TIMEOUT
    Wait up to TIMEOUT seconds for executors to complete before raising an error.

-V, --version
    Print the ifupdown-ng version and exit.

-X, --exclude PATTERN
    Exclude PATTERN when matching against the config or state database.

SEE ALSO

ifupdown-ng.conf(5) ifup(8) ifquery(8) interfaces(5)

AUTHORS

Ariadne Conill <ariadne@dereferenced.org>